<fieldset class="cbi-section">
	<table width="100%">
	   <tr>
	  	<td colspan="4" width="100%">
	  		<p align="center">
	      <img id="logo" src="data:image/png;base64,[encoded data, 19112 characters]" title="Hello, World!" alt="Openclash" width="150" onclick="return homepage()" />
        </p>
	  		<p id="_clashversion" align="center" >
	  		   <b><%:Collecting data...%></b>
	  		</p>
	   </td></tr>
	   <tr><td colspan="4" width="100%">
     	  <p align="center">
    	     <img id="wiki" src="https://img.shields.io/badge/Tutorials--lightgrey?logo=Wikipedia&style=social" loading="lazy" alt="Wiki" width="75px" height="20px" onerror="return imgerrorfuns(this,this.src)" onclick="return wikipage()" />
    	     &nbsp;&nbsp;&nbsp;
    	     <img id="star" src="https://img.shields.io/badge/Star--lightgrey?logo=github&style=social" loading="lazy" alt="star" width="50px" height="20px" onerror="return imgerrorfuns(this,this.src)" onclick="return homepage()" />
    	     &nbsp;&nbsp;&nbsp;
    	     <!--
    	     <img id="telegram" src="https://img.shields.io/badge/Telegram--lightgrey?logo=Telegram&style=social" loading="lazy" alt="Telegram" onerror="return imgerrorfuns(this,this.src)" onclick="return telegrampage()" />
    	     &nbsp;&nbsp;&nbsp;
    	     -->
    	     <img id="sponsor" src="https://img.shields.io/badge/Sponsor--lightgrey?logo=ko-fi&style=social" loading="lazy" alt="Sponsor" width="73px" height="20px" onerror="return imgerrorfuns(this,this.src)" onclick="return sponsorpage()" />
        </p>
     </td></tr>
	  <tr><td width="100%" colspan="4">
	  	<p align="center" id="_clashstart">
	  		<b> Tip: OpenClash 成功启动后请耐心等待下方网站访问检查连接正常后再使用 </b>
	  	</p>
	  </td></tr>
		<tr><td width="25%"> OpenClash 主程序 </td><td  width="25%" align="left" id="_clash"><%:Collecting data...%></td><td width="25%"> 控制面板登录IP </td><td width="25%" align="left" id="_daip"><%:Collecting data...%></td></tr>
		<tr><td width="25%"> OpenClash 守护程序 </td><td width="25%" align="left" id="_watchdog"><%:Collecting data...%></td><td width="25%"> 控制面板登录端口 </td><td width="25%" align="left" id="_dapo"><%:Collecting data...%></td></tr>
		<tr><td width="25%"> OpenClash 运行模式 </td><td  width="25%" align="left" id="_mode"><%:Collecting data...%></td><td width="25%"> 控制面板登录密钥 </td><td width="25%" align="left" id="_dase"><%:Collecting data...%></td></tr>
		<tr><td width="25%"> Yacd 控制面板 </td><td width="25%" align="left" id="_web"><%:Collecting data...%></td><td width="25%"> Dashboard 控制面板 </td><td width="25%" align="left" id="_webo"><%:Collecting data...%></td></tr>
		
	</table>
</fieldset>

<script type="text/javascript">//<![CDATA[
	var clash = document.getElementById('_clash');
	var mode = document.getElementById('_mode');
	var web = document.getElementById('_web');
	var webo = document.getElementById('_webo');
	var watchdog = document.getElementById('_watchdog');
	var daip = document.getElementById('_daip');
	var dase = document.getElementById('_dase');
	var dapo = document.getElementById('_dapo');
	var clashversion = document.getElementById('_clashversion');
	var close_all_connection = document.getElementById('_close_all_connection');
	var restore_history = document.getElementById('_restore_history');
	var get_history = document.getElementById('_get_history');

	XHR.poll(5, '<%=luci.dispatcher.build_url("admin", "services", "openclash", "status")%>', null, function(x, status) {
		if ( x && x.status == 200 ) {
			clash.innerHTML = status.clash ? '<b><font color=green><%:RUNNING%></font></b>' : '<b><font color=red><%:NOT RUNNING%></font></b>';
			if ( status.mode == "fake-ip\n" )
      {
			   mode.innerHTML = status.clash ? "<b><font color=green><%: Fake-IP（增强）模式 %></font></b>" : '<b><font color=red><%:NOT RUNNING%></font></b>';
			}
			else if ( status.mode == "redir-host\n" )
			{
			   mode.innerHTML = status.clash ? "<b><font color=green><%: Redir-Host（兼容）模式 %></font></b>" : '<b><font color=red><%:NOT RUNNING%></font></b>';
			}
			else if ( status.mode == "redir-host-tun\n" )
			{
			   mode.innerHTML = status.clash ? "<b><font color=green><%: Redir-Host（TUN）模式 %></font></b>" : '<b><font color=red><%:NOT RUNNING%></font></b>';
			}
			else if ( status.mode == "fake-ip-tun\n" )
			{
			   mode.innerHTML = status.clash ? "<b><font color=green><%: Fake-IP（TUN）模式 %></font></b>" : '<b><font color=red><%:NOT RUNNING%></font></b>';
			}
			else if ( status.mode == "redir-host-vpn\n" )
			{
			   mode.innerHTML = status.clash ? "<b><font color=green><%: Redir-Host（游戏）模式 %></font></b>" : '<b><font color=red><%:NOT RUNNING%></font></b>';
			}
			else if ( status.mode == "fake-ip-vpn\n" )
			{
			   mode.innerHTML = status.clash ? "<b><font color=green><%: Fake-IP（游戏）模式 %></font></b>" : '<b><font color=red><%:NOT RUNNING%></font></b>';
			}
			else if ( status.mode == "fake-ip-mix\n" )
			{
			   mode.innerHTML = status.clash ? "<b><font color=green><%: Fake-IP（TUN-混合）模式 %></font></b>" : '<b><font color=red><%:NOT RUNNING%></font></b>';
			}
			else if ( status.mode == "redir-host-mix\n" )
			{
			   mode.innerHTML = status.clash ? "<b><font color=green><%: Redir-Host（TUN-混合）模式 %></font></b>" : '<b><font color=red><%:NOT RUNNING%></font></b>';
			}
			watchdog.innerHTML = status.watchdog ? '<b><font color=green><%:RUNNING%></font> </b>' : '<b><font color=red><%:NOT RUNNING%></font></b>';
			daip.innerHTML = status.daip ? "<b><font color=green>"+status.daip+"</font></b>" : "<b><font color=red>"+"<%:Not Set%>"+"</font></b>";
			dase.innerHTML = status.dase ? "<b><font color=green>"+status.dase+"</font></b>" : "<b><font color=red>"+"<%:Not Set%>"+"</font></b>";
			dapo.innerHTML = status.cn_port ? "<b><font color=green>"+status.cn_port+"</font></b>" : "<b><font color=red>"+"<%:Not Set%>"+"</font></b>";
			web.innerHTML = status.web ? '<input type="button" class="cbi-button cbi-button-reload" value="<%:打开控制面板%>" onclick="return ycad_dashboard(this)"/>' : '<b><font color=red><%:NOT RUNNING%></font></b>';
			webo.innerHTML = status.web ? '<input type="button" class="cbi-button cbi-button-reload" value="<%:打开控制面板%>" onclick="return net_dashboard(this)"/>' : '<b><font color=red><%:NOT RUNNING%></font></b>';
		}
	});

	  function winOpen(url)
	  {
	  	var winOpen = window.open(url);
      if(winOpen == null || typeof(winOpen) == 'undefined'){
         window.location.href=url;
      }
	  }
	  
	  function b_close_all_connection(btn)
    {
        btn.disabled = true;
        btn.value    = '<%:正在重置...%>';
        XHR.get('<%=luci.dispatcher.build_url("admin", "services", "openclash", "close_all_connection")%>', null, function(x, status) {
        if ( x && x.status == 200 ) {
           btn.disabled = false;
           btn.value    = '<%:重置所有链接%>';
        }
        return false;
        });
    }
    function b_restore_history(btn)
    {
        btn.disabled = true;
        btn.value    = '<%:正在还原...%>';
        XHR.get('<%=luci.dispatcher.build_url("admin", "services", "openclash", "restore_history")%>', null, function(x, status) {
        if ( x && x.status == 200 ) {
           btn.disabled = false;
           btn.value    = '<%:手动还原策略组选择%>';
        }
        return false;
        });
    }
    function b_get_history(btn)
    {
        btn.disabled = true;
        btn.value    = '<%:正在保存...%>';
        XHR.get('<%=luci.dispatcher.build_url("admin", "services", "openclash", "get_history")%>', null, function(x, status) {
        if ( x && x.status == 200 ) {
           btn.disabled = false;
           btn.value    = '<%:手动保存策略组选择%>';
        }
        return false;
        });
    }
    
	  function ycad_dashboard(btn)
    {
        XHR.get('<%=luci.dispatcher.build_url("admin", "services", "openclash", "status")%>', status.cn_port, function(x, status) {
        btn.disabled = true;
        btn.value    = '<%:打开控制面板%>';
        url1='<%="http://'+window.location.hostname+status.uh_port+'/luci-static/openclash?hostname='+ status.daip + '&port=' + status.cn_port + '&secret=' + status.dase +'"%>';
        winOpen(url1);
        return false;
        });
    }
    function net_dashboard(btn)
    {
        XHR.get('<%=luci.dispatcher.build_url("admin", "services", "openclash", "status")%>', status.cn_port, function(x, status) {
        btn.disabled = true;
        btn.value    = '<%:打开控制面板%>';
        url2='http://'+window.location.hostname+':'+status.cn_port+'/ui';
        winOpen(url2);
        return false;
        });
    }
    
    function homepage()
    {
        url3='https://github.com/vernesong/OpenClash';
        winOpen(url3);
    }
    
    function wikipage()
    {
        url5='https://github.com/vernesong/OpenClash/wiki';
        winOpen(url5);
    }
    
    function telegrampage()
    {
        url6='https://t.me/joinchat/D4mVX0n-n5mOK6YO_W3_Og';
        winOpen(url6);
    }
    
    function sponsorpage()
    {
        url7='https://ko-fi.com/vernesong';
        winOpen(url7);
    }
    

	  XHR.get('<%=luci.dispatcher.build_url("admin", "services", "openclash", "currentversion")%>', status.currentversion, function(x, status) {
	     if ( x && x.status == 200 ) {
	        clashversion.innerHTML = '<img id="currenntver" src="'+status.currentversion+'" alt="currentversion" width="200px" onload="return clashversion_check()" onclick="return go_update()">';
	     }
	  });

    function clashversion_check()
    {
    XHR.get('<%=luci.dispatcher.build_url("admin", "services", "openclash", "lastversion")%>', status.lastversion, function(x, status) {
       if ( x && x.status == 200 ) {
          if ( status.lastversion != "\n" && status.lastversion != "" )
          {
             clashversion.innerHTML = '<img id="lastver" src="'+status.lastversion+'" alt="lastversion" onerror="return clashversion_error()" onclick="return go_update()">';
          }
       }
        });
    }

    function clashversion_error()
    {
       XHR.get('<%=luci.dispatcher.build_url("admin", "services", "openclash", "currentversion")%>', status.currentversion, function(x, status) {
	        if ( x && x.status == 200 ) {
             clashversion.innerHTML = '<img id="currenntver" src="'+status.currentversion+'" alt="currentversion" width="200px" onclick="return go_update()">';
	        }
	     });
    }
    
    function imgerrorfuns(imgobj,imgSrc){
    	setTimeout(function(){
        imgobj.src=imgSrc;
      },1000*10);
     }
     
    function go_update()
    {
       url4='https://github.com/vernesong/OpenClash/releases';
       winOpen(url4);
    }
    
	var startlog = document.getElementById('_clashstart');
	XHR.poll(6, '<%=luci.dispatcher.build_url("admin", "services", "openclash", "startlog")%>', status.startlog, function(x, status) {
	  if ( x && x.status == 200 ) {
		   if ( status.startlog == "\n" || status.startlog == "" ) {
          var rdmdl=Math.floor(Math.random()*12)+1;
          if(rdmdl==1)
          {
             startlog.innerHTML = '<b><font><%: Tip: 您可以在配置文件页面直接修改配置文件（适用于没被接管的内容） %></font></b>';
          }
          if(rdmdl==2)
          {
             startlog.innerHTML = '<b><font><%: Tip: 点击上方版本图标可跳转到客户端发布页面 %></font></b>';
          }
          if(rdmdl==3)
          {
             startlog.innerHTML = '<b><font><%: Tip: 不会编写配置文件？试试在【服务器与策略组管理】页面一键创建 %></font></b>';
          }
          if(rdmdl==4)
          {
             startlog.innerHTML = '<b><font><%: Tip: 某些网站链接出现异常? 试试切换模式或者使用第三方规则 %></font></b>';
          }
          if(rdmdl==5)
          {
             startlog.innerHTML = '<b><font><%: Tip: 使用 Fake-IP 模式可以获得更加快速的访问体验 %></font></b>';
          }
          if(rdmdl==6)
          {
             startlog.innerHTML = '<b><font><%: Tip: 使用 TLS & TCP & HTTPS 方式查询DNS可以获得更好的抗污染效果 %></font></b>';
          }
          if(rdmdl==7)
          {
             startlog.innerHTML = '<b><font><%: Tip: OpenClash 启动时会检查配置文件参数【服务器（策略）组、规则、DNS设置】以确保能够正常工作 %></font></b>';
          }
          if(rdmdl==8)
          {
             startlog.innerHTML = '<b><font><%: Tip: 使用自定义DNS上游服务器时NameServer组必须设置至少一个服务器 %></font></b>';
          }
          if(rdmdl==9)
          {
             startlog.innerHTML = '<b><font><%: Tip: 网站访问检查展示的是当前登录LUCI页面设备的连接情况 %></font></b>';
          }
          if(rdmdl==10)
          {
             startlog.innerHTML = '<b><font><%: Tip: OpenClash 成功启动后请耐心等待下方网站访问检查连接正常后再使用 %></font></b>';
          }
          if(rdmdl==11)
          {
             startlog.innerHTML = '<b><font><%: Tip: 如果不使用IPV6，请关闭IPV6的DHCP服务，否则会造成连接异常 %></font></b>';
          }
          if(rdmdl==12)
          {
             startlog.innerHTML = '<b><font><%: Tip: 您可以在全局设置页面进行版本更新操作 %></font></b>';
          }
       }
	  }
	});
	XHR.poll(1, '<%=luci.dispatcher.build_url("admin", "services", "openclash", "startlog")%>', status.startlog, function(x, status) {
	  if ( x && x.status == 200 ) {
		   if ( status.startlog != "\n" && status.startlog != "" ) {
	     startlog.innerHTML = '<b><font color="green">'+status.startlog+'</font></b>';
	     }
	  }
	});
//]]></script>
